Skip to main content
GET
Retrieve an employment

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the employment.

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

An employment resource.

id
string
Minimum string length: 1
type
string
Allowed value: "employment"
url
string<uri>
remoteId
null | string

Resource identifier in a third-party system.

Required string length: 1 - 200
employee
employee-reference · object

Reference to an employee resource.

Read-only. Reference to a legal-entity. Inferred from the business-establishment of its first job-position.

status
enum<string>

Read-only. The employee status is calculated from the employee's employments.

  • active: employee has an employment as of today.
  • upcoming: employee currently has no employment but will have one in the future.
  • deactivated: employee used to have an employment but no longer does.
Available options:
active,
upcoming,
deactivated
Example:

"active"

start
object
end
null | object
document
file-reference · object | null

Reference to a file resource.

template
employment-template-reference · object

Reference to an employment-template resource.

createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object | null

Embeds the representation of resources related to the employment(s).

Only returned if requested by the API client: ?include=embedded.